<?php
function getCSSClassByscore($score_value)
{
	$colors = array("color0-1Score",
					"color1-2Score",
					"color2-3Score",
					"color3-4Score",
					"color4-5Score",
					"color5-6Score",
					"color6-7Score",
					"color7-8Score",
					"color8-9Score",
					"color9-10Score",
					"color9-10Score"
	);
	$default_css = "color-NotExist-Score";
	$score_value = floor($score_value); //On arrondi en dessous
	if(isset($colors[$score_value]))
	{
		return $colors[$score_value];
	}
	else
	{
		return $default_css;
	}
}

function devicesOnly($treeview_nodelist)
{
	$tmp = array();
	if( is_array($treeview_nodelist) )
	{
		foreach($treeview_nodelist as $row)
		{
			$tmp[$row['eg_device_id']] = $row['eg_device_id'];
		}
	}
	return array_values($tmp);
}

function getDevicesOfAgentOrGroup($dbconnection,$user,$treeview_type,$treeview_nodeid)
{
	if( $treeview_type == 'root' )
	{
		$treeview_nodelist = Model_egidescan::getDevicesOfAgentGroup($dbconnection,NULL,$user->getId());
	}
	elseif($treeview_type == 'group')
	{
		$treeview_nodelist = Model_egidescan::getDevicesOfAgentGroup($dbconnection,$treeview_nodeid,$user->getId());
	}
	elseif($treeview_type == 'box')
	{
		$treeview_nodelist = Model_egidescan::getDevicesOfAgent($dbconnection,$treeview_nodeid,$user->getId());
	}
	elseif($treeview_type == 'nodeonly')
	{
		return array($treeview_nodeid);
	}
	$treeview_nodelist = devicesOnly($treeview_nodelist);
	return $treeview_nodelist;
}
?>
