<?php
function generateInParams($pre,$arr,$column,$include=TRUE)
{
    if(empty($arr))
    {
        return array('sql'=>'','param'=>array());
    }
    $params = array();
    $sql = '';

    if( is_array($arr) && count($arr) == 1 )
    {
        $arr = array_shift($arr);
    }

    if( is_array($arr))
    {
        $in_sql = Model_esia::pdo_array_to_SQL($column,$arr,$params);


        if( $include )
        {
            $sql .="$column IN ($in_sql) ";
        }
        else
        {
            $sql .="$column NOT IN ($in_sql) ";
        }
    }
    else
    {
        if( $include )
        {
            $condition = '=';
        }
        else
        {
            $condition = '!=';
        }
        $sql = "$column $condition :$column";
        $params[":$column"] = $arr;
    }
    $sql = "$pre $sql";
    return array('sql'=>$sql,'param'=>$params);
}
